Issue 107003 - Open Chart Dialog destroy Impress Toolbar
Summary: Open Chart Dialog destroy Impress Toolbar
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOO320m5
Hardware: All All
: P2 Trivial (vote)
Target Milestone: OOo 3.2
Assignee: kla
QA Contact: issues@framework
URL:
Keywords: regression
Depends on:
Blocks: 99999
  Show dependency tree
 
Reported: 2009-11-18 14:39 UTC by kla
Modified: 2010-01-18 12:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description kla 2009-11-18 14:39:03 UTC
Steps to reproduce:
Open a Textdoc and insert a chart
Chart inplace mode Dialog Chart Format opens (see issue 106966)
Open a Presentation and insert a Shape
Doubleclick shape -> Toolbar are overlapped
Comment 1 wolframgarten 2009-11-18 14:42:34 UTC
Framework issue. Reassigned.
Comment 2 wolframgarten 2009-11-18 14:44:58 UTC
@cd: please decide if this is difficult to fix or if it should make its way into
3.2. Ok in 3.1.1, broken. Maybe it is connected to issue 106966, please contact iha.
Comment 3 IngridvdM 2009-11-19 12:14:24 UTC
I do not know anything about this bug. No idea why I have been mentioned.
Comment 4 carsten.driesner 2009-11-19 15:17:03 UTC
cd->wg: There is an very easy fix for this problem. Do you want to have this fix
for OOo 3.2? From my point of view this makes sense as you can crash the Office
and this is a regression.
Comment 5 carsten.driesner 2009-11-19 15:17:38 UTC
cd: Set wg on CC.
Comment 6 carsten.driesner 2009-11-19 15:23:36 UTC
cd: There is no connection with issue #106966 as this problem is related to lazy
toolbar delete.
Comment 7 carsten.driesner 2009-11-20 08:33:34 UTC
cd: If someone clicks on the second toolbar the Office crashes. Therefore I
strongly recommend to set this as a show stopper. The fix is easy and without
any side effects or regressions.
Comment 8 carsten.driesner 2009-11-20 09:46:17 UTC
cd: Fixed.
Comment 9 carsten.driesner 2009-11-20 10:05:58 UTC
cd: Just to provide as much info as possible. There are many more scenarios than
this one where the problem can to lead to crashes. Therefore I highly recommend
to set this issue as a show stopper.
Comment 10 carsten.driesner 2009-11-20 12:29:37 UTC
cd: Set target to OOo 3.2 as issue has been accepted as show stopper.
Comment 11 carsten.driesner 2009-11-24 15:59:50 UTC
cd->kla: Please verify.
Comment 12 kla 2009-11-30 12:26:32 UTC
seen ok in cws fwk129 -> verified
Comment 13 kla 2010-01-18 12:34:21 UTC
Seen ok in current master -> closed